%define ocamlname bos

Name:           ocaml-%{ocamlname}
Version:        0.2.0
Release:        1%{?dist}.emp1
Summary:        Basic OS interaction for OCaml
License:        ISC
URL:            http://erratique.ch/software/bos
Source0:        %{ocamlname}-%{version}.tbz

Requires:	ocaml >= 4.01.0
Requires:  	ocaml-rresult >= 0.4.0
Requires:	ocaml-astring
Requires:	ocaml-fpath
Requires:	ocaml-fmt >= 0.8.0
Requires:	ocaml-logs
Requires:	ocaml-mtime

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.01.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg-devel
BuildRequires:  ocaml-rresult-devel >= 0.4.0
BuildRequires:  ocaml-astring-devel
BuildRequires:  ocaml-fpath-devel
BuildRequires:	ocaml-fmt-devel >= 0.8.0
BuildRequires:	ocaml-logs-devel
BuildRequires:	ocaml-mtime-devel

%description
Bos provides support for basic and robust interaction with the
operating system in OCaml. It has functions to access the process
environment, parse command line arguments, interact with the file
system and run command line programs.

Bos works equally well on POSIX and Windows operating systems.

Bos depends on [Rresult][rresult], [Astring][astring], [Fmt][fmt],
[Fpath][fpath] and [Logs][logs] and the OCaml Unix library. It is
distributed under the ISC license.

[rresult]: http://erratique.ch/software/rresult
[astring]: http://erratique.ch/software/astring
[fmt]: http://erratique.ch/software/fmt
[fpath]: http://erratique.ch/software/fpath
[logs]: http://erratique.ch/software/logs

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-rresult-devel >= 0.4.0
Requires:	ocaml-astring-devel
Requires:	ocaml-fpath-devel
Requires:	ocaml-fmt-devel >= 0.8.0
Requires:	ocaml-logs-devel
Requires:	ocaml-mtime-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/pkg.ml build

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
